﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;

namespace ConsoleGame
{
    class Program
    {
        static void Main(string[] args)
        {
            Game game = new Game();

            while (game.IsRunning)
            {
                // input
                while (Console.KeyAvailable)
                {
                    game.OnKeyPressed(Console.ReadKey(true));
                }

                // update
                game.Update();

                // draw
                game.Draw();

                Thread.Sleep(200);
            }

            Console.ReadKey();
        }
    }
}
